Subject: Re: gratuitous arp

From: James Courtier-Dutton <[email-masked]>
Date: Sun, 26 Nov 2006 02:05:23 +0000

dean gaudet wrote:
> hi...
> 
> i ran into some problems recently which would have been avoided if my box 
> did a gratuitous arp as it brought up all interfaces (the router took 
> forever to timeout the ARP entries for interface aliases).  so i set about 
> looking to see why that wasn't happening.
> 
> i either missed it, or there's no code in the kernel to do it -- but 
> that's cool, because it's easy enough to do from userland.  i'm guessing 
> this is the intention.
> 
> however my debian and ubuntu boxes aren't doing grat arp and don't seem to 
> have options to do it (i do know about using various other tools such as 
> arping, send_arp, garp to do it manually).
> 
> before i go opening bugs with the distribution folks, could someone chime 
> in as to what is the recommended approach these days?  did grat arp fall 
> out of favour, or is it just a case of userland not keeping up?
> 
> thanks
> -dean

Are you 100% sure about this?
Have you done a packet sniff on the network?
A lot of routers ignore gratuitous arp for security reasons.

James